[Deprecated]: v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/sites/{siteId}/shipments/{shipmentId}/received/kits
Deprecated: Use latest version instead. Updates the status of a received kit in the system. Rights: OrsSupplyManagerPost and OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
siteId(required): string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : Shipment Update Kits Request
Type:
objectTitle:
Shipment Update Kits RequestRequest object containing shipment kits to be updated.
Show Source
-
kits(required): array
kits
Minimum Number of Items:
1Maximum Number of Items:2147483647Contains kit IDs. -
toInventoryStatus(required): integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:5
Nested Schema : kits
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
2147483647Contains kit IDs.
Show Source
Example:
[
"E39FF55A445543A38D513325664F0B2D",
"8ECE2C9D389645B09740DC7926DEFB69"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentReceivedResponse
Type:
objectTitle:
ShipmentReceivedResponseReceived shipment details response object.
Show Source
-
availableCount: integer
(int64)
Available kits count.Example:
5 -
damagedCount: integer
(int64)
Damaged kits count.Example:
5 -
missingCount: integer
(int64)
Missing kits count.Example:
5 -
preQuarantinedCount: integer
(int64)
Pre quarantined kits count.Example:
5 -
receivedDate: string
(date-time)
Shipment received date.Example:
2026-02-21T06:30:00Z -
shipmentId: string
(uuid)
ID of the shipment.
Examples
400 Response
'Invalid order status', 'Invalid kit', 'Invalid inventory status value'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid shipment ID'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples